#1599 Privoxy won't run or install on Mac OSX 10.9

3.0.21
closed
Ian Silvester
startup (89)
5
2014-08-13
2013-10-24
cjpragman
No

Had a working version of privoxy 3.0.21 running fine on a laptop with Mac OS 10.8.5.
I upgraded the laptop today to 10.9 Mavericks. After reboot, I see that privoxy hasn't loaded. Used launchctl to unload and reload the .plist file in /Library/LaunchDaemons. Still wound't start.

Next I tried downloading a fresh copy from here (3.0.21 64 bit). Ran installer. Installer failed. I've attached the installer logs below.

Related

Support Requests: #1599

Discussion

1 2 3 4 > >> (Page 1 of 4)
  • cjpragman
    cjpragman
    2013-10-24

     
  • Ian Silvester
    Ian Silvester
    2013-10-24

    Hmmm, ah well, I guess this was inevitable - you may be the first person in the world to be running Privoxy on 10.9! How do you feel about becoming a beta tester ;o)

    So then, as a first approximation, could you attach /Applications/Privoxy/install.log please? Also could you try using launchctl and see what error it throws when you launch Privoxy's launchdaemon plist? You'll probably have to go look in the Message in Console to see the proper error output.

    Cheers, and sorry it hasn't worked out of the box,

    Ian

     
  • Ian Silvester
    Ian Silvester
    2013-10-24

    • status: open --> pending
     
  • Ian Silvester
    Ian Silvester
    2013-10-24

    • assigned_to: nobody --> diem
     
  • cjpragman
    cjpragman
    2013-10-24

    here's the system log entries from a fresh attempt to unload and load the privoxy.plist. Seems like it is unhappy with the _privoxy users. Note that this was working before the 10.9 install, so I don't know why the _privoxy user would have been affected somehow just by upgrading the OS.

    10/24/13 5:18:51.636 AM sudo[41618]: cpragman : TTY=ttys000 ; PWD=/Library/LaunchDaemons ; USER=root ; COMMAND=/bin/launchctl load -w org.ijbswa.privoxy.plist
    10/24/13 5:18:51.706 AM com.apple.launchd[1]: (org.ijbswa.privoxy[41620]) getpwnam("_privoxy") failed
    10/24/13 5:18:51.706 AM com.apple.launchd[1]: (org.ijbswa.privoxy[41620]) Job failed to exec(3). Setting up event to tell us when to try again: 3: No such process
    10/24/13 5:18:51.706 AM com.apple.launchd[1]: (org.ijbswa.privoxy[41620]) Job failed to exec(3) for weird reason: 3

     
  • cjpragman
    cjpragman
    2013-10-24

    • status: pending --> open
     
  • Skritek
    Skritek
    2013-10-24

    I have the same Issue. Running uninstall.command and a new instalation seems to be helpful.

     
  • Ian Silvester
    Ian Silvester
    2013-10-24

    Thank you goblincz1!

    You say "seems to be helpful" - do you mean that a proper uninstall (using the uninstall.command script supplied in /Applications/Privoxy) and then full reinstall means that Privoxy now runs properly for you once more?

    cjpragman could you try this out and confirm whether it resolves your issue?

    dutchwood I've reviewed that Macworld article and it might have some relevance. I made a change to the launchdaemon plist file during the lifetime of the 3.0.21 installer, so it is conceivable that cjpragman's system has cached the old version and is attempting to use it against the new install.

    Thank you all for you input, I do not run 10.9 (in fact I'm sticking with 10.6 for now!) so your findings are crucial to the future of Privoxy on OS X.

    Cheers,

    Ian

     
  • Ian Silvester
    Ian Silvester
    2013-10-24

    • status: open --> pending
     
  • Skritek
    Skritek
    2013-10-24

    "Do you mean that a proper uninstall (using
    the uninstall.command script supplied in /Applications/Privoxy) and then
    full reinstall means that Privoxy now runs properly for you once more?"

    Yes, I did this and it is running properly now.

     
  • Dutchwood
    Dutchwood
    2013-10-24

    "I have the same Issue. Running uninstall.command and a new instalation
    seems to be helpful. "-doesn't work for me

     
  • Skritek
    Skritek
    2013-10-24

    dutchwood> A new installation (after running uninstall.command) will fail for you ?

    Then please make sure that all privoxy users and groups are removed after uninstallation with these commands:

    /usr/bin/dscl /Local/Default -list /groups | /usr/bin/grep -E '^(_)?privoxy?'
    /usr/bin/dscl /Local/Default -list /users | /usr/bin/grep -E '^(_)?privoxy?'

    A friend of mine is updating to Maverick too so maybe he may give me some feedback.

     
  • Dutchwood
    Dutchwood
    2013-10-24

    >A new installation (after running uninstall.command) will fail
    for you ?

    Nope, maybe i've some lobsolete aunchfiles sitting somewhere.

    Running processes:

    ps aux|grep privoxy
    _privoxy 776 0.0 4.0 2603860 166072 ?? Ss 5:32pm 0:23.13 com.apple.IconServicesAgent
    _privoxy 775 0.0 0.1 2447444 2512 ?? Ss 5:32pm 0:00.12 /usr/libexec/xpcd
    _privoxy 679 0.0 0.0 2469216 1380 ?? S 5:31pm 0:00.01 /usr/sbin/distnoted agent
    _privoxy 675 0.0 0.0 2452956 884 ?? Ss 5:31pm 0:00.02 /sbin/launchd

     
  • Dutchwood
    Dutchwood
    2013-10-24

    Have it working through the Terminal:

    privoxy --user _privoxy --no-daemon /usr/local/etc/privoxy/config

    so the problem lies in the Launch file(s)

     
  • Ian Silvester
    Ian Silvester
    2013-10-24

    Thanks dutchwood!

    I've never been certain of the purpose of the leading underscores on certain user accounts, and have in the past seen those accounts referred to without the leading underscore. On that basis, would you mind modifying your Privoxy launch plist to change the user and group entries both to 'privoxy' (without the quotes), that is to remove the leading underscore in both entries then try to load Privoxy using it once more?

    You'll need to use the defaults command to modify the plist due to the apparent caching Mavericks enforces, so that'll be something like:

    defaults write org.ijbswa.privoxy UserName privoxy
    defaults write org.ijbswa.privoxy GroupName privoxy

    And then (apologies if I'm teaching you to suck eggs) to start Privoxy:

    /bin/launchctl load -w org.ijbswa.privoxy.plist

    If that all works then I'll need to modify the installer to no longer use leading underscores on user/group names.

    Many thanks for your ongoing input,

    Ian

     
  • Dutchwood
    Dutchwood
    2013-10-24

    @diem
    To answer using underscore or not:
    privoxy --user privoxy --no-daemon /usr/local/etc/privoxy/config

    works too.

    I'll get to the rest tomorrow.

     
  • cjpragman
    cjpragman
    2013-10-25

    Tried the uninstall script in the /Applications/Privoxy folder. Seemed to go ok.
    Reinstalled from the installer package here at sourceforge. Made no other changes.

    It is now working!

     
  • cjpragman
    cjpragman
    2013-10-25

    • status: pending --> open
     
  • Ian Silvester
    Ian Silvester
    2013-10-25

    Well pleased to hear that that did the trick for you cjpragman!

    I'll keep this ticket open for a while however, because those others that have chipped in are discovering other new bits and pieces that might help our broader knowledge of Maverick's changes.

    Thanks for bringing this to our attention, and again glad that you've been sorted out.

    Cheers,

    Ian

     
  • Ian Silvester
    Ian Silvester
    2013-10-25

    • status: open --> pending
     
  • Dutchwood
    Dutchwood
    2013-10-25

    >diem Update: I checked
    .....[snip...]would you mind modifying
    your Privoxy launch plist to change the user and group entries both to
    'privoxy' (without the quotes),[snip...]

    as expected undersore is not the issue.

     
  • Dutchwood
    Dutchwood
    2013-10-25

    Seems to be related to the same problem I have in 10.6.8.
    Found the solution that works for me: installing the ' obsolete' Startup Items
    (Privoxy Folder with the Privoxy executable and the StartupParameters.plist)

     
  • Ian Silvester
    Ian Silvester
    2013-10-25

    Thanks for the testing results dutchwood,

    So the underscore is not the issue - good news.

    What's throwing me at the moment is that we've had two contributors resolving the issue by performing a complete uninstall (using the supplied uninstall script I wrote) and reinstall, so I'm beginning to wonder whether Mavericks has done something funky to the _privoxy account under the hood, making it 'invisible' to launchd in some way and hence causing the error we're seeing (getpwnam("_privoxy") failed) which is also the reason why a plain reinstall-over-the-top is failing?

    Thing is, you've already tried a complete uninstall/reinstall and it didn't solve things. Would you mind screenshotting the error you get when using launchdtl and an extract from install.log when you uninstall/reinstall?

    Cheers,

    Ian

     
  • Dutchwood
    Dutchwood
    2013-10-25

    @Ian:
    1 killed the privoxy.pid
    Then ........
    2 /bin/launchctl load -w /Library/LaunchDaemons/org.ijbswa.privoxy.plist
    org.ijbswa.privoxy: Already loaded
    Hm,
    3 running the stopscript
    4 /bin/launchctl load -w org.ijbswa.privoxy.plist
    No error message, but ps gives no running privoxy process

    Installog seems to give the normal output.

     
1 2 3 4 > >> (Page 1 of 4)